C API Functions

## udbSetLicense

### Description

Set the Understand license directory.

In order for your application to use the Understand API functions, an Understand license must first be found. Call udbSetLicense() to specify the path to your Understand license.

If udbSetLicense() is not called, or the license is not found in the specified location, the API will then attempt to obtain a license from the environment variable STILICENSE (if defined) or, as a last resort, from the conf/license subdirectory inside the sti home directory.

If a valid license cannot be found, udbDbOpen() will fail to open the Understand database.

### Syntax

     #include "udb/udb.h"
     void  udbSetLicense(char *dir)

### Arguments

Argument | description
char *dir | directory path to set sti `license' directory to.

### Return Values

There is no return value.

### Example Usage

     udbSetLicense("c:\\program files\\sti\\conf\\license");

### See Also

udbDbOpen checks for a valid license and opens the Understand database for reading.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com